Update Dashboard Version

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/securableversion
API call form
Examples

SecurableVersions can be updated to change the environment property, which determines which version of the Dashboard to display when embedding it. This is often referred to as "Publishing" a dashboard version.

Request parametersResponse schema
id UUID

The unique identifier of the entity

name Multilingual string

Internationalized name of the SecurableVersion (i.e. Dashboard name).

contents OBJECT

Snapshot of the dashboard contents stored in this version. This value is immutable.

css STRING

Snapshot of the dashboard CSS stored in this version. This value is immutable.

securable_id STRING

Unique identifier of the Securable (i.e. Dashboard) associated with the SecurableVersion.

environment STRING

The environment associated with the SecurableVersion. Only one SecurableVersion per dashboard can have a given environment at a time.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

Can be executed by:
Dashboard Modifier
Can be associated to:
Securable
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "337352eb-6eab-4183-b657-c0e5cb243695",
  "name": {
    "en": "Dashboard name"
  },
  "securable_id": "c25b2053-a44e-4748-8310-1a797f6d16ed",
  "created_at": "2025-03-04T13:49:56.285Z",
  "updated_at": "2025-03-05T09:49:56.285Z",
  "environment": "production"
}